unit FListBox;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, FnpListBox, Buttons, ExtCtrls;

type
  TForm1 = class(TForm)
    FnpListBox1: TFnpListBox;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Button1: TButton;
    Button2: TButton;
    RadioGroup1: TRadioGroup;
    procedure FormCreate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  FnpListBox1.Items.Add('Belly'#9'Star'#9'1993');
  FnpListBox1.Items.Add('Maria McKee'#9'Life Is Sweet'#9'1996');
  FnpListBox1.Items.Add('Metallica'#9'Load'#9'1996');
  FnpListBox1.Items.Add('Nirvana'#9'Nevermind'#9'1991');
  FnpListBox1.Items.Add('PJ Harvey'#9'Too Brind You My Love'#9'1995');
  FnpListBox1.Items.Add('R.E.M.'#9'Automatic For The People'#9'1992');
  FnpListBox1.Items.Add('R.E.M.'#9'New Adventures In HIFI'#9'1996');
  FnpListBox1.Items.Add('Sonic Youth'#9'Goo'#9'1991');
  FnpListBox1.Items.Add('Soundgarden'#9'Down On The Upside'#9'1996');
  FnpListBox1.Items.Add('Throwing Muses'#9'University'#9'1995');
  FnpListBox1.Items.Add('Throwing Muses'#9'Limbo'#9'1996');
  FnpListBox1.Items.Add('U2'#9'Achtung Baby'#9'1991');
  FnpListBox1.Items.Add('Veruca Salt'#9'American Thighs'#9'1995');
  FnpListBox1.Items.Add('The Walkabouts'#9'Setting The Woods On Fire'#9'1994');
  FnpListBox1.ItemIndex := 0;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  FnpListBox1.MoveDown;
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
  FnpListBox1.MoveUp;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  FnpListBox1.DeleteSelected;
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  S: String;
  X: Integer;
begin
  S := InputBox('Find', 'Enter artist', '');
  if length(S) > 0 then
  begin
    X := FnpListBox1.Find(S);
    if X > -1 then
      FnpListBox1.ItemIndex := X;
  end;
end;

procedure TForm1.RadioGroup1Click(Sender: TObject);
begin
  if RadioGroup1.ItemIndex = 0 then
    FnpListBox1.Rearrange := True
  else
    FnpListBox1.Rearrange := False;
end;

end.


